﻿// SofaTest.cs
// Methods to support self tests in my .NET Framework version of the IAU SOFA library.
// The tests themselves are included with the applicable code.
// Copyright 2017 by Paul S. Hirose

// revision notes
#if false
2014-07-07  Created file.
2014-07-12  Added methods (verifyInt1x4() etc.) to test arrays for proper dimensions.
2014-07-26  Added equalsApprox() overload to check arrays of rank 1. The self tests of the
routines in this file have been moved here.
2014-08-06  Changed class declaration to static.
2014-08-07  The Sofa test and argument validation methods have been moved to a separate class,
called from here.
2015-08-27  Call to test of constants has been moved to main program.

2017-09-10  Building SofaJpl 2.1.
#endif

//using System;
//using System.Runtime.InteropServices;


#if DEBUG

namespace HirosePS
{
public unsafe static partial class Sofa
{
    /// <summary>
    /// Test the class of helper methods for validating Sofa routines, arguments, and constants.
    /// </summary>
    /// <remarks>This method is necessary because SofaValidate is not a public class.</remarks>
    public static void TestSofaValidate() {
        SofaValidate.TestTest();
    }
}   // end partial class Sofa
}   // end namespace HirosePS

#endif      // end DEBUG code
